# OpalBandwidth Class Reference

`#include <mediafmt.h>`

## Public Types

typedef unsigned | int_type
| Rx = 1
| Tx
| RxTx
| TxRx = RxTx
enum | Direction { Rx = 1, Tx, RxTx, TxRx = RxTx }

## Public Member Functions

__inline | OpalBandwidth (int_type bps=0)
__inline OpalBandwidth & | operator= (int_type bps)
__inline | operator int_type () const
__inline OpalBandwidth & | operator+= (const OpalBandwidth &bw)
__inline OpalBandwidth & | operator-= (const OpalBandwidth &bw)
__inline OpalBandwidth & | operator &= (const OpalBandwidth &bw)
__inline OpalBandwidth & | operator+= (int_type bps)
__inline OpalBandwidth & | operator-= (int_type bps)
| OpalBandwidth (const H225_BandWidth &bw)
OpalBandwidth & | operator= (const H225_BandWidth &bw)
void | SetH225 (H225_BandWidth &bw) const

## Static Public Member Functions

static OpalBandwidth | Max ()

## Protected Attributes

int_type | m_bps

## Friends

std::ostream & | operator<< (std::ostream &strm, OpalBandwidth::Direction dir)
std::ostream & | operator<< (std::ostream &strm, const OpalBandwidth &bw)
std::istream & | operator>> (std::istream &strm, OpalBandwidth &bw)

## Detailed Description

Type for bandwidth (bitrate) specification. Currently 32 bit unsigned, but could be set to 64 bit if we ever need more than 4Gb/s

## Member Typedef Documentation

typedef unsigned OpalBandwidth::int_type

## Member Enumeration Documentation

enum OpalBandwidth::Direction

Enumerator:

  Rx |
  Tx |
  RxTx |
  TxRx |

## Constructor & Destructor Documentation

__inline OpalBandwidth::OpalBandwidth | ( | int_type | bps = `0` | ) | `[inline]`

OpalBandwidth::OpalBandwidth | ( | const H225_BandWidth & | bw | ) |

## Member Function Documentation

static OpalBandwidth OpalBandwidth::Max | ( |  | ) | `[inline, static]`

__inline OpalBandwidth& OpalBandwidth::operator &= | ( | const OpalBandwidth & | bw | ) | `[inline]`

__inline OpalBandwidth::operator int_type | ( |  | ) | const`[inline]`

__inline OpalBandwidth& OpalBandwidth::operator+= | ( | int_type | bps | ) | `[inline]`

__inline OpalBandwidth& OpalBandwidth::operator+= | ( | const OpalBandwidth & | bw | ) | `[inline]`

__inline OpalBandwidth& OpalBandwidth::operator-= | ( | int_type | bps | ) | `[inline]`

__inline OpalBandwidth& OpalBandwidth::operator-= | ( | const OpalBandwidth & | bw | ) | `[inline]`

OpalBandwidth& OpalBandwidth::operator= | ( | const H225_BandWidth & | bw | ) |

__inline OpalBandwidth& OpalBandwidth::operator= | ( | int_type | bps | ) | `[inline]`

void OpalBandwidth::SetH225 | ( | H225_BandWidth & | bw | ) | const

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | strm,
|  | const OpalBandwidth & | bw |
| ) |  |  | `[friend]`

std::ostream& operator<< | ( | std::ostream & | strm,
|  | OpalBandwidth::Direction | dir |
| ) |  |  | `[friend]`

std::istream& operator>> | ( | std::istream & | strm,
|  | OpalBandwidth & | bw |
| ) |  |  | `[friend]`

## Field Documentation

int_type OpalBandwidth::m_bps `[protected]`

The documentation for this class was generated from the following file:

- mediafmt.h